/*********************************************************************
    This file is part of Siworin. Copyright © 2021 by Ruud Harmsen.

    Siworin is a simple word indexer and local search engine. See
    https://rudhar.com/sfreview/siworin/#siw04 and
    https://rudhar.com/sfreview/siworin/toolsrc/siworin .

    Siworin is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    Siworin is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Siworin.  If not, see <https://www.gnu.org/licenses/>.
  ********************************************************************/

#ifndef _SIWORIN_MATCH_H
#define _SIWORIN_MATCH_H

struct hfilepos_s
{
   unsigned long pathline;
   unsigned long offseth;
};
struct hfile_wordvector_s
{
   char *srch_word;
   int currind;
   int numelts_vec;
   struct hfilepos_s *vec;
};

#include <stdio.h>
/* If combined is non-zero, all the lines in the file are
   used to find matches in combination.
   If combined is zero, one line at a time is handled,
   listing all the references it contains. */
int siworin_findlocsfromfiles (FILE *fp, int combined);

#endif
